
QGIS Application - Bug report #255

Choose GISBASE dialog is user unfrendly

2006-08-31 02:25 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10314

Description

2 bugs in one:

1) if GISBASE is undefined, user gets prompted for GISBASE at QGIS start. Those, who are unfamiliar with GRASS, will not understand

what GISBASE is and why they have to select one. Asking for GISBASE should be done when user tryes to access some GRASS

function.

2) if I select wrong directory in GISBASE dialogue, I have no prompt for error, just I'm sent back to same dialogue. Better would be if user

double clicks folder - open it (as it is by now), but if user selects folder and clicks "open" - issue warning (like "This is not a valid

GISBASE. Valid GISBASE must contain grass installation. It may be /usr/local/grass-version. etc.") and then open folder.

History

#1 - 2006-12-08 08:47 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:77361faf (SVN r6214). Asking is still done on startup, but more user-friendly.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
